{ pkgs, config, ... }:
{
  config = {
    nix = {
      package = pkgs.lix;

      # Enable flakes.
      settings.experimental-features = [
        "nix-command"
        "flakes"
      ];

      # Disable that annoying "git tree is dirty" warning.
      extraOptions = ''
        warn-dirty = false
      '';

      # Garbage collection.
      gc.automatic = true;
    };

    nixpkgs.config.import = "${config.xdg.configHome}/nixpkgs/config.nix";

    xdg.configFile."nixpkgs/config.nix".text = # nix
      ''
        {
          allowUnfree = true;
        }
      '';
  };
}
