{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;
  inherit (lib.marleyos) enabled;

  cfg = config.marleyos.xorg.i3;
in
{
  options.marleyos.xorg.i3.enable = mkEnableOption "i3";

  config = mkIf cfg.enable {
    marleyos = {
      programs.rofi = enabled;
      services.polybar = enabled;
      services.dunst = enabled;
    };
  };
}
